import json
import requests
from api_auth import APICredentials, APIParams

class GetDraftClip:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        """
        Get a draft of a video clip.
        """
        self._get_draft()

    def _get_draft(self):
        draft_clip_id = 'abc0123def456ghi789klmno0123pqrs' # Replace with the desired draft clip ID.
        url = "{}{}{}".format(self.host, "/api/v4/clipping_draft/", draft_clip_id)

        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({})
        )

        print(response.json())

GetDraftClip().run()